sdr::StreamSink< Scalar > Class Template Reference
Data sinks.

Serializes the incomming buffers as raw data. More...

`#include <utils.hh>`

Inheritance diagram for sdr::StreamSink< Scalar >:

## Public Member Functions

| StreamSink (std::ostream &stream)
| Constructor. More...
virtual void | config (const Config &src_cfg)
| Configures the raw sink. More...
virtual void | process (const Buffer< Scalar > &buffer, bool allow_overwrite)
| Dumps the buffer into the stream as raw data. More...
Public Member Functions inherited from sdr::Sink< Scalar >
| Sink ()
| Constructor. More...
virtual | ~Sink ()
| Drestructor. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Re-implemented from `SinkBase`. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...

## Protected Attributes

std::ostream & | _stream
| The output stream. More...

## Detailed Description

### template<class Scalar>
class sdr::StreamSink< Scalar >

Serializes the incomming buffers as raw data.

## Constructor & Destructor Documentation

template<class Scalar >

sdr::StreamSink< Scalar >::StreamSink | ( | std::ostream & | stream | ) |

inline

Constructor.

## Member Function Documentation

template<class Scalar >

virtual void sdr::StreamSink< Scalar >::config | ( | const Config & | src_cfg | ) |

inlinevirtual

Configures the raw sink.

Implements sdr::SinkBase.

template<class Scalar >

virtual void sdr::StreamSink< Scalar >::process | ( | const Buffer< Scalar > & | buffer,
|  | bool | allow_overwrite
| ) |  |

inlinevirtual

Dumps the buffer into the stream as raw data.

Bug:
  Check if buffer was send completely:

Implements sdr::Sink< Scalar >.

## Member Data Documentation

template<class Scalar >

std::ostream& sdr::StreamSink< Scalar >::_stream

protected

The output stream.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/utils.hh